<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::SimCalorimeterHitCollectionIterator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">SimCalorimeterHitCollectionIterator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_sim_calorimeter_hit_collection_iterator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::SimCalorimeterHitCollectionIterator Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa7e37d7613a25c976b3cdcd71e98e5a9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#aa7e37d7613a25c976b3cdcd71e98e5a9">SimCalorimeterHitCollectionIterator</a> (int index, const <a class="el" href="namespaceeic.html#afac02f68e031b5c9e76e7e3764d9c844">SimCalorimeterHitObjPointerContainer</a> *collection)</td></tr>
<tr class="separator:aa7e37d7613a25c976b3cdcd71e98e5a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eb546d1293cf16a1a76cae60a5b5c44"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a8eb546d1293cf16a1a76cae60a5b5c44">operator!=</a> (const <a class="el" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">SimCalorimeterHitCollectionIterator</a> &amp;x) const</td></tr>
<tr class="separator:a8eb546d1293cf16a1a76cae60a5b5c44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac45ef7cee9cab3428b179fd66d167e2f"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#ac45ef7cee9cab3428b179fd66d167e2f">operator*</a> () const</td></tr>
<tr class="separator:ac45ef7cee9cab3428b179fd66d167e2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a53f66bb464ccfd7ed782ab2ded8dc7"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a1a53f66bb464ccfd7ed782ab2ded8dc7">operator-&gt;</a> () const</td></tr>
<tr class="separator:a1a53f66bb464ccfd7ed782ab2ded8dc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76ad87d5101a3085c80b4fab1462ee6a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">SimCalorimeterHitCollectionIterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a76ad87d5101a3085c80b4fab1462ee6a">operator++</a> () const</td></tr>
<tr class="separator:a76ad87d5101a3085c80b4fab1462ee6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00027">27</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa7e37d7613a25c976b3cdcd71e98e5a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7e37d7613a25c976b3cdcd71e98e5a9">&#9670;&nbsp;</a></span>SimCalorimeterHitCollectionIterator()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::SimCalorimeterHitCollectionIterator::SimCalorimeterHitCollectionIterator </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceeic.html#afac02f68e031b5c9e76e7e3764d9c844">SimCalorimeterHitObjPointerContainer</a> *&#160;</td>
          <td class="paramname"><em>collection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00030">30</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8eb546d1293cf16a1a76cae60a5b5c44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8eb546d1293cf16a1a76cae60a5b5c44">&#9670;&nbsp;</a></span>operator!=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::SimCalorimeterHitCollectionIterator::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">SimCalorimeterHitCollectionIterator</a> &amp;&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00032">32</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00102">operator*()</a>, <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00112">operator++()</a>, and <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00107">operator-&gt;()</a>.</p>

</div>
</div>
<a id="ac45ef7cee9cab3428b179fd66d167e2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac45ef7cee9cab3428b179fd66d167e2f">&#9670;&nbsp;</a></span>operator*()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> eic::SimCalorimeterHitCollectionIterator::operator* </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00102">102</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00032">operator!=()</a>.</p>

</div>
</div>
<a id="a76ad87d5101a3085c80b4fab1462ee6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76ad87d5101a3085c80b4fab1462ee6a">&#9670;&nbsp;</a></span>operator++()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">SimCalorimeterHitCollectionIterator</a> &amp; eic::SimCalorimeterHitCollectionIterator::operator++ </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00112">112</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00032">operator!=()</a>.</p>

</div>
</div>
<a id="a1a53f66bb464ccfd7ed782ab2ded8dc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a53f66bb464ccfd7ed782ab2ded8dc7">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> * eic::SimCalorimeterHitCollectionIterator::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00107">107</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00032">operator!=()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a></li>
<li>src/<a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
